Debian Bug report logs - #587325
impossible to override offline mode when using network-manager

version graph

Package: evolution; Maintainer for evolution is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution is src:evolution.

Reported by: clohr <christophe.lohr@cegetel.net>

Date: Sun, 27 Jun 2010 14:33:04 UTC

Severity: important

Tags: jessie, sid, squeeze, upstream, wheezy

Merged with 549451, 582358, 584200, 587302, 590547, 594072, 597147, 599722, 601340

Found in versions evolution/2.30.2-1, evolution/2.30.3-1, evolution/2.30.1.2-2, evolution/2.30.3-5, evolution/2.28.0-2, evolution/2.30.1.2-3, evolution/3.2.2-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, christophe.lohr@cegetel.net, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#587325; Package evolution. (Sun, 27 Jun 2010 14:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to clohr <christophe.lohr@cegetel.net>:
New Bug report received and forwarded. Copy sent to christophe.lohr@cegetel.net, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 14:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: clohr <christophe.lohr@cegetel.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 16:30:03 +0200
Package: evolution
Version: 2.30.1.2-3
Severity: normal
Tags: upstream

Evolution assumes that Network Manager is the only way to have network on a
system. Note that interfaces can be managed by "/etc/network/interfaces",
or by Network Manager, or by a VPN, or something else.

If NM is active and interfaces managed by NM are disconected, Evo thinks there
is no network at all, and start offline. Moreover, it refuses to switch to
online mode, eaven if the user requests it.

Possible workarround: before using Evo in online mode, please first ask your
system administrator to disable Network Manager, or to unisnstall it. ;-)


If it is realy mandatory to test status of interfaces before all, please
consider another way (ip link show up | grep -v -i loopback).
Then, Evo may /suggest/ to start offline. The user should have the ability to
change to online mode at any time.

Regards.



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages evolution depends on:
ii  dbus                    1.2.24-1         simple interprocess messaging syst
ii  debconf [debconf-2.0]   1.5.32           Debian configuration management sy
ii  evolution-common        2.30.1.2-3       architecture independent files for
ii  evolution-data-server   2.30.1-5         evolution database backend server
ii  gconf2                  2.28.1-3         GNOME configuration database syste
ii  gnome-icon-theme        2.30.3-1         GNOME Desktop icon theme
ii  libart-2.0-2            2.3.21-1         Library of functions for 2D graphi
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libc6                   2.11.1-3         Embedded GNU C Library: Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector graphics libra
ii  libcamel1.2-14          2.30.1-5         The Evolution MIME message handlin
ii  libcanberra-gtk0        0.24-1           Gtk+ helper for playing widget eve
ii  libcanberra0            0.24-1           a simple abstract interface for pl
ii  libdbus-1-3             1.2.24-1         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.86-1           simple interprocess messaging syst
ii  libebackend1.2-0        2.30.1-5         Utility library for evolution data
ii  libebook1.2-9           2.30.1-5         Client library for evolution addre
ii  libecal1.2-7            2.30.1-5         Client library for evolution calen
ii  libedataserver1.2-13    2.30.1-5         Utility library for evolution data
ii  libedataserverui1.2-8   2.30.1-5         GUI utility library for evolution 
ii  libegroupwise1.2-13     2.30.1-5         Client library for accessing group
ii  libenchant1c2a          1.6.0-1          a wrapper library for various spel
ii  libevolution            2.30.1.2-3       evolution libraries
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration database syste
ii  libgdata-google1.2-1    2.30.1-5         Client library for accessing Googl
ii  libgdata1.2-1           2.30.1-5         Client library for accessing Googl
ii  libglib2.0-0            2.24.1-1         The GLib library of C routines
ii  libgnome-desktop-2-17   2.30.0-2         Utility library for loading .deskt
ii  libgnomecanvas2-0       2.30.1-1         A powerful object-oriented display
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user interface 
ii  libgtkhtml-editor0      3.30.1-2         HTML rendering/editing library - e
ii  libgtkhtml3.14-19       3.30.1-2         HTML rendering/editing library - r
ii  libgweather1            2.30.0-2         GWeather shared library
ii  libical0                0.44-3           iCalendar library implementation i
ii  libice6                 2:1.0.6-1        X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1- 0.4.5-1          sends desktop notifications to a n
ii  libnspr4-0d             4.8.4-1          NetScape Portable Runtime Library
ii  libnss3-1d              3.12.6-2         Network Security Service libraries
ii  libpango1.0-0           1.28.1-1         Layout and rendering of internatio
ii  libsm6                  2:1.1.1-1        X11 Session Management library
ii  libsoup2.4-1            2.30.1-1         an HTTP library implementation in 
ii  libsqlite3-0            3.6.23.1-4       SQLite 3 shared library
ii  libstartup-notification 0.10-1           library for program launch feedbac
ii  libunique-1.0-0         1.1.6-1          Library for writing single instanc
ii  libxml2                 2.7.7.dfsg-2     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages evolution recommends:
pn  bogofilter | spamassassi <none>          (no description available)
ii  evolution-plugins        2.30.1.2-3      standard plugins for Evolution
ii  evolution-webcal         2.28.1-1        webcal: URL handler for GNOME and 
ii  gnome-desktop-data       2.30.0-2        Common files for GNOME desktop app
ii  yelp                     2.30.1+webkit-1 Help browser for GNOME

Versions of packages evolution suggests:
ii  bug-buddy                  2.30.0+dfsg-1 GNOME Desktop Environment bug repo
ii  evolution-dbg              2.30.1.2-3    debugging symbols for Evolution
pn  evolution-exchange         <none>        (no description available)
pn  evolution-plugins-experime <none>        (no description available)
ii  gnupg                      1.4.10-4      GNU privacy guard - a free PGP rep
ii  network-manager            0.8-1         network management framework daemo

-- debconf information excluded




Forcibly Merged 549451 582358 584200 587302 587325. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 14:57:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'impossible to override offline mode when using network-manager' from 'evolution: Forced offline by error' Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 15:00:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=624738'. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Mon, 19 Jul 2010 14:09:07 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 09:15:10 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Wed, 25 Aug 2010 06:06:05 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Fri, 17 Sep 2010 05:57:07 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=624738, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=624701' from 'https://bugzilla.gnome.org/show_bug.cgi?id=624738' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 14 Oct 2010 18:15:49 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147 601340. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 15:54:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:33 GMT) Full text and rfc822 format available.

Marked as found in versions evolution/2.30.3-5 and evolution/3.2.2-1. Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:50 GMT) Full text and rfc822 format available.

Merged 549451 582358 584200 587302 587325 590547 594072 597147 599722 601340 Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:56 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:59:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.